Bug 461758 - Split perl files out to separate pilot-link-perl sub package
Split perl files out to separate pilot-link-perl sub package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2008-09-10 08:59 EDT by Peter Robinson
Modified: 2008-09-23 07:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-22 06:26:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to the pilot-link spec file to split perl files out into a perl subpackage (3.86 KB, patch)
2008-09-15 08:34 EDT, Peter Robinson
no flags Details | Diff

  None (edit)
Description Peter Robinson 2008-09-10 08:59:24 EDT
I notice that pilot-link can be built without the perl requirement. Would it be possible to split the perl files out into a separate pilot-link-perl sub package so that both a perl and non perl install is possible from the one build. This would allow reduction of dependence on perl without a reduction in functionality.
Comment 1 Peter Robinson 2008-09-15 08:34:16 EDT
Created attachment 316738 [details]
patch to the pilot-link spec file to split perl files out into a perl subpackage

The attached patch to the .spec file splits the perl utils out into a separate sub package.
Comment 2 Alex Lancaster 2008-09-15 11:43:58 EDT
Thanks for the patch.  I'll take a look at it when I get a chance in a week or so, unless Ivana gets to it first.
Comment 3 Ivana Varekova 2008-09-22 06:26:34 EDT
Thanks, Peter and Alex - I just separate the perl subpart in pilot-link-0.12.3-17.fc10 - if there is any problem, please write here a comment.
Comment 4 Alex Lancaster 2008-09-22 06:37:12 EDT
(In reply to comment #3)
> Thanks, Peter and Alex - I just separate the perl subpart in
> pilot-link-0.12.3-17.fc10 - if there is any problem, please write here a
> comment.

Thanks, can you sync the change back to F-9 at least, as well?  I think it would be useful to have this in F-9 (probably not F-8 though).  If you don't have time, I can do it.
Comment 5 Ivana Varekova 2008-09-23 07:32:04 EDT
Hello, from my point of view this change is not suitable for adding to fc-9 so I don't like to adding it there I think for now it is sufficient to fix it in rawhide branch only.

Note You need to log in before you can comment on or make changes to this bug.